using FitConnect.Models;
using FitConnect.Services.Models;

namespace FitConnect;

public interface IBaseFunctionality {
    Task<OAuthAccessToken> GetTokenAsync(string clientId, string clientSecret,
        string? scope = null);

    Task<SecurityEventToken> GetSetDataAsync();

    // Receive SecurityEventToken and check signature
}
